Download Commitments Obligations data as JSON.
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/dataexplorer/commitments/obligations/download/json \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"dimensions": [
{
"name": "<string>",
"filter": [
"<string>"
],
"attributes": [
"<string>"
]
}
],
"limit": 1000
}
'import requests
url = "https://api.m3ter.com/organizations/{orgId}/dataexplorer/commitments/obligations/download/json"
payload = {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"dimensions": [
{
"name": "<string>",
"filter": ["<string>"],
"attributes": ["<string>"]
}
],
"limit": 1000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
dimensions: [{name: '<string>', filter: ['<string>'], attributes: ['<string>']}],
limit: 1000
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/dataexplorer/commitments/obligations/download/json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"downloadUrl": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Download Commitments Obligations data as JSON.
Download Commitments Obligations data as JSON.
POST
/
organizations
/
{orgId}
/
dataexplorer
/
commitments
/
obligations
/
download
/
json
Download Commitments Obligations data as JSON.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
Body
application/json
Data Explorer Obligations query.
ISO 8601 formatted start date for the obligations.
ISO 8601 formatted end date for the obligations.
Dimensions to filter by
Maximum array length:
100Show child attributes
Show child attributes
Limit the number of data points returned
Required range:
1 <= x <= 2000Response
Contains a link to download the file.
Download link for Data Explorer data
⌘I